Bug 894593 - Review Request: coin-or-Vol - Vol (Volume Algorithm)
Review Request: coin-or-Vol - Vol (Volume Algorithm)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On: 894585 894586
Blocks: 894594 894609
  Show dependency treegraph
 
Reported: 2013-01-12 09:44 EST by Paulo Andrade
Modified: 2014-04-15 11:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: coin-or-Cgl-0.58.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-15 11:54:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
anto.trande: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2013-01-12 09:44:33 EST
Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Vol.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Vol-1.3.3-3.fc19.src.rpm
Description: Vol (Volume Algorithm) is an open-source implementation of a subgradient
method that produces primal as well as dual solutions. The primal solution
comes from estimating the volumes below the faces of the dual problem. This
is an approximate method so the primal vector might have small infeasiblities
that are negligible in many practical settings. The original subgradient
algorithm produces only dual solutions.
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2013-01-12 09:45:41 EST
Note that the tarball is remade due to:
+ Data files without a clean license. licensecheck does not trigger
  it because they are small test case files, but a not so small
  collection, and authorship information was lost.
+ ThirdParty directory, that points to, but has no contents, of
  non free code (usually source code open but needs some kind of
  paid license to be able to use).
+ Most coin-or projects bundle other coin-or projects that are
  dependencies. If tarballs are not repackaged, %build will remove
  the bundled dependencies.

I made the original package back in september and was talking from
time to time to upstream about the issues above. There should be
at some point in the near future a new release with bundled dependencies
and code that cannot be redistributed removed from tarballs. There is
also a way to get "clean" tarballs from coin-or trac, but for the
review request I did choose the most common method in Fedora for
these conditions.
Comment 2 Paulo Andrade 2013-01-14 16:41:24 EST
Update:

- Update to run make check (#894610#c4).

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Vol.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Vol-1.3.3-4.fc19.src.rpm
Comment 3 Paulo Andrade 2013-11-01 12:53:08 EDT
- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Vol.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Vol-1.4.1-1.fc21.src.rpm
Comment 4 Paulo Andrade 2013-11-01 16:05:47 EDT
Update:

- Use proper _smp_flags macro (#894586#c6).

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Vol.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Vol-1.4.1-2.fc21.src.rpm
Comment 5 Paulo Andrade 2014-03-28 11:19:25 EDT
Update:

- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Vol.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Vol-1.4.4-1.fc21.src.rpm
Comment 6 Antonio Trande 2014-03-28 13:32:39 EDT
Just some warning or failed tests during check process.
Directory /usr/include/coin owned by coin-or-CoinUtils-devel package; properly listed.

Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 18 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/894593-coin-or-Vol/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/include/coin
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/coin
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in coin-or-
     Vol-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: coin-or-Vol-1.4.4-1.fc21.x86_64.rpm
          coin-or-Vol-devel-1.4.4-1.fc21.x86_64.rpm
          coin-or-Vol-doc-1.4.4-1.fc21.noarch.rpm
          coin-or-Vol-1.4.4-1.fc21.src.rpm
coin-or-Vol.x86_64: W: spelling-error %description -l en_US subgradient -> sub gradient, sub-gradient, gradient
coin-or-Vol.x86_64: W: spelling-error %description -l en_US infeasiblities -> indefeasible
coin-or-Vol-devel.x86_64: W: no-documentation
coin-or-Vol.src: W: spelling-error %description -l en_US subgradient -> sub gradient, sub-gradient, gradient
coin-or-Vol.src: W: spelling-error %description -l en_US infeasiblities -> indefeasible
4 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint coin-or-Vol coin-or-Vol-doc coin-or-Vol-devel
coin-or-Vol.x86_64: W: spelling-error %description -l en_US subgradient -> sub gradient, sub-gradient, gradient
coin-or-Vol.x86_64: W: spelling-error %description -l en_US infeasiblities -> indefeasible
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 typeinfo for OsiSolverInterface
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getPointerToWarmStart(bool&)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getNumIntegers() const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::isBinary(int) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::isInteger(int) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::isIntegerNonBinary(int) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::isFreeBinary(int) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getColType(bool) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getStrictColSolution()
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getFractionalIndices(double) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::setObjCoeffSet(int const*, int const*, double const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::setObjective(double const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::setColLower(double const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::setColUpper(double const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::reducedCostFix(double, bool)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::dfltRowColName(char, int, unsigned int) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getObjName(unsigned int) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getRowName(int, unsigned int) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getRowNames()
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::setRowName(int, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::setRowNames(std::vector<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&, int, int, int)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::deleteRowNames(int, int)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getColName(int, unsigned int) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getColNames()
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::setColName(int, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::setColNames(std::vector<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&, int, int, int)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::deleteColNames(int, int)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::addCol(CoinPackedVectorBase const&, double, double, double, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::addCol(int, int const*, double const*, double, double, double)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::addCol(int, int const*, double const*, double, double, double, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::addCols(int, int const*, int const*, double const*, double const*, double const*, double const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::addRow(CoinPackedVectorBase const&, double, double, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::addRow(CoinPackedVectorBase const&, char, double, double, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::addRow(int, int const*, double const*, double, double)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::addRows(int, int const*, int const*, double const*, double const*, double const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::restoreBaseModel(int)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::applyCuts(OsiCuts const&, double)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::applyRowCuts(int, OsiRowCut const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::applyRowCuts(int, OsiRowCut const**)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::loadFromCoinModel(CoinModel&, bool)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::readMps(char const*, char const*, int&, CoinSet**&)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::readGMPL(char const*, char const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::writeLp(char const*, char const*, double, int, int, double, bool) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::writeLp(_IO_FILE*, double, int, int, double, bool) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::readLp(char const*, double)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::passInMessageHandler(CoinMessageHandler*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::findIntegersAndSOS(bool)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::activateRowCutDebugger(char const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::activateRowCutDebugger(double const*, bool)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::canDoSimplexInterface() const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::enableFactorization() const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::disableFactorization() const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::basisIsAvailable() const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getBasisStatus(int*, int*) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::setBasisStatus(int const*, int const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getReducedGradient(double*, double*, double const*) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getBInvARow(int, double*, double*) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getBInvRow(int, double*) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getBInvACol(int, double*) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getBInvCol(int, double*) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::getBasics(int*) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::enableSimplexInterface(bool)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::disableSimplexInterface()
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::pivot(int, int, int)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::primalPivotResult(int, int, int&, int&, double&, CoinPackedVector*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::dualPivotResult(int&, int&, int, int, double&, CoinPackedVector*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::reset()
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 typeinfo for CoinWarmStartDual
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinError::printErrors_
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 vtable for CoinWarmStartDual
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinMpsIO::getRowLower() const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::appendCol(CoinPackedVectorBase const&)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinMpsIO::getObjCoefficients() const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiRowCut::lb() const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::operator=(CoinPackedMatrix const&)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinMpsIO::CoinMpsIO()
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::OsiSolverInterface(OsiSolverInterface const&)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 VOL_problem::VOL_problem()
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::deleteRows(int, int const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinMpsIO::writeMps(char const*, int, int, int, CoinPackedMatrix*, int, CoinSet const*) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiRowCut::row() const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinMpsIO::getRowUpper() const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::~OsiSolverInterface()
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinMpsIO::getMatrixByCol() const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiRowCut::ub() const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinMpsIO::readMps(char const*, char const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::clear()
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinMpsIO::setInfinity(double)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::reverseOrderedCopyOf(CoinPackedMatrix const&)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinMpsIO::getColUpper() const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinMpsIO::setMpsData(CoinPackedMatrix const&, double, double const*, double const*, double const*, char const*, double const*, double const*, char const* const*, char const* const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinMpsIO::~CoinMpsIO()
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::~CoinPackedMatrix()
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::transposeTimes(double const*, double*) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::appendRow(CoinPackedVectorBase const&)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::CoinPackedMatrix()
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 VOL_problem::~VOL_problem()
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::times(double const*, double*) const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::appendRows(int, CoinPackedVectorBase const* const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 VOL_problem::solve(VOL_user_hooks&, bool)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::setExtraGap(double)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::setExtraMajor(double)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::operator=(OsiSolverInterface const&)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinMpsIO::getColLower() const
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::appendCols(int, CoinPackedVectorBase const* const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::copyOf(bool, int, int, int, double const*, int const*, int const*, int const*, double, double)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::deleteCols(int, int const*)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 CoinPackedMatrix::swap(CoinPackedMatrix&)
coin-or-Vol.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiVol.so.1.4.4 OsiSolverInterface::OsiSolverInterface()
coin-or-Vol.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOsiVol.so.1.4.4 /lib64/libm.so.6
coin-or-Vol-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 113 warnings.
# echo 'rpmlint-done:'



Requires
--------
coin-or-Vol (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

coin-or-Vol-doc (rpmlib, GLIBC filtered):
    coin-or-Vol

coin-or-Vol-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    coin-or-CoinUtils-devel
    coin-or-Vol(x86-64)
    libOsiVol.so.1()(64bit)
    libVol.so.1()(64bit)
    pkgconfig(coinutils)
    pkgconfig(osi)
    pkgconfig(vol)



Provides
--------
coin-or-Vol:
    coin-or-Vol
    coin-or-Vol(x86-64)
    libOsiVol.so.1()(64bit)
    libVol.so.1()(64bit)

coin-or-Vol-doc:
    coin-or-Vol-doc

coin-or-Vol-devel:
    coin-or-Vol-devel
    coin-or-Vol-devel(x86-64)
    pkgconfig(osi-vol)
    pkgconfig(vol)



Source checksums
----------------
http://www.coin-or.org/download/pkgsource/Vol/Vol-1.4.4.tgz :
  CHECKSUM(SHA256) this package     : f7bc6b3a6a3ba4e7a6f44c1eb337e08d9177ac146e7b64e70606b015f32c7f6c
  CHECKSUM(SHA256) upstream package : f7bc6b3a6a3ba4e7a6f44c1eb337e08d9177ac146e7b64e70606b015f32c7f6c


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 894593
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 7 Paulo Andrade 2014-03-28 13:42:05 EDT
Thanks, the errors and warnings are supposed to be expected
thus the (expected) line below :-)

[...]
WARNING   vol       solution value before solve
                    eq(correctObjValue,siObjValue)
                    OsiSolverInterfaceTest.cpp:3834
ERROR     vol       testLoadAndAssignProblem: base initialSolve
 (expected)         base->initialSolve() threw CoinError: Volume algorithm is unable to handle ranged rows in OsiVolSolverInterface in checkData_
                    OsiSolverInterfaceTest.cpp:2672
WARNING   vol       testAddToEmptySystem
 (expected)         addCol adds columns to NULL
                    OsiSolverInterfaceTest.cpp:3204
WARNING   vol       testAddToEmptySystem
 (expected)         addCol adds columns to NULL
                    OsiSolverInterfaceTest.cpp:3244
ERROR     vol       testWriteMps: solving LP
 (expected)         si1->initialSolve() threw CoinError: Volume algorithm is unable to handle ranged rows in OsiVolSolverInterface in checkData_
                    OsiSolverInterfaceTest.cpp:2409
ERROR     vol       testWriteLp: solving LP
 (expected)         si1->initialSolve() threw CoinError: Volume algorithm is unable to handle ranged rows in OsiVolSolverInterface in checkData_
                    OsiSolverInterfaceTest.cpp:2461
Severity NOTE      :    9  thereof expected:    8
Severity PASSED    :  425  thereof expected:    0
Severity WARNING   :    3  thereof expected:    2
Severity ERROR     :    3  thereof expected:    3
Comment 8 Paulo Andrade 2014-03-28 13:42:54 EDT
New Package SCM Request
=======================
Package Name: coin-or-Vol
Short Description: Vol (Volume Algorithm)
Owners: pcpa
Branches: f20
InitialCC:
Comment 9 Jon Ciesla 2014-03-28 14:30:53 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2014-04-04 19:48:16 EDT
coin-or-Cgl-0.58.5-1.fc20,coin-or-Alps-1.4.10-3.fc20,coin-or-Bcps-0.93.12-2.fc20,coin-or-Blis-0.93.11-2.fc20,coin-or-Cbc-2.8.9-1.fc20,coin-or-DyLP-1.9.4-1.fc20,coin-or-Vol-1.4.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/coin-or-Cgl-0.58.5-1.fc20,coin-or-Alps-1.4.10-3.fc20,coin-or-Bcps-0.93.12-2.fc20,coin-or-Blis-0.93.11-2.fc20,coin-or-Cbc-2.8.9-1.fc20,coin-or-DyLP-1.9.4-1.fc20,coin-or-Vol-1.4.4-1.fc20
Comment 11 Fedora Update System 2014-04-05 22:33:53 EDT
coin-or-Cgl-0.58.5-1.fc20, coin-or-Alps-1.4.10-3.fc20, coin-or-Bcps-0.93.12-2.fc20, coin-or-Blis-0.93.11-2.fc20, coin-or-Cbc-2.8.9-1.fc20, coin-or-DyLP-1.9.4-1.fc20, coin-or-Vol-1.4.4-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 12 Fedora Update System 2014-04-15 11:54:50 EDT
coin-or-Cgl-0.58.5-1.fc20, coin-or-Alps-1.4.10-3.fc20, coin-or-Bcps-0.93.12-2.fc20, coin-or-Blis-0.93.11-2.fc20, coin-or-Cbc-2.8.9-1.fc20, coin-or-DyLP-1.9.4-1.fc20, coin-or-Vol-1.4.4-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.